Subject: bug#7617: 24.0.50; `expand-file-name': removal of slashes

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Dec 2010 17:17:16 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Mon, 13 Dec 2010 06:51:42 -0800
> 
> And it's not clear what that would mean in terms of the expansion I'm after
> (which is exactly the expansion of `expand*' minus the slash collapsing).

But after the expansion, wouldn't you remove everything up to and
including the double slash?  If so, why do you need the expansion, if
most of it will be thrown away?  And if you don't remove the part up
to the double slash, then why do you need to keep the double slash?